# Makefile.in generated automatically by automake 1.4-p6 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = @host_alias@
host_triplet = @host@
CC = @CC@
CXX = @CXX@
HAVE_LIB = @HAVE_LIB@
HTML2TXT = @HTML2TXT@
LIB = @LIB@
LN = @LN@
LTLIB = @LTLIB@
LYNX = @LYNX@
MAKEINFO = @MAKEINFO@
MKDIR = @MKDIR@
PACKAGE = @PACKAGE@
POD2HTML = @POD2HTML@
POD2MAN = @POD2MAN@
PYTHON = @PYTHON@
RANLIB = @RANLIB@
RM = @RM@
STRIP = @STRIP@
SUFFIXES = @SUFFIXES@
VERSION = @VERSION@
W3M = @W3M@
cgidir = @cgidir@
phpdir = @phpdir@
pythonlibdir = @pythonlibdir@

bin_PROGRAMS = dumpvuser listvdomain vadduser vaddusers vchattr vchforwards 	vdeliver vdeluser vpasswd vpasswds vrehash vsetup vupgrade

bin_SCRIPTS = vaddalias vconf2dir
noinst_HEADERS = vcommand.h

noinst_PODS =  	dumpvuser.pod listvdomain.pod vadduser.pod vadduser.pod vchattr.pod 	vchforwards.pod vdeliver.pod vdeluser.pod 	vpasswd.pod vpasswds.pod vrehash.pod vsetup.pod vupgrade.pod

noinst_HTMLS = $(noinst_PODS:.pod=.html)
man_MANS = $(noinst_PODS:.pod=.1)

CLEANFILES = $(man_MANS) $(noinst_HTMLS) $(noinst_PODS) 	pod2html-dircache pod2html-itemcache

EXTRA_DIST = $(man_MANS) $(noinst_HTMLS) $(noinst_PODS) $(bin_SCRIPTS)

EXTRA_SCRIPTS = vupgrade-all

INCLUDES = -I../lib -DBINDIR=\"@bindir@\"

dumpvuser_SOURCES = dumpvuser.cc vcommand.cc
dumpvuser_LDADD = ../lib/libcli.a ../lib/libvmailmgr.a

listvdomain_SOURCES = listvdomain.cc vcommand.cc
listvdomain_LDADD = ../lib/libcli.a ../lib/libvmailmgr.a

vadduser_SOURCES = vadduser.cc vcommand.cc
vadduser_LDADD = ../lib/libcli.a ../lib/libvmailmgr.a

vaddusers_SOURCES = vaddusers.cc vcommand.cc
vaddusers_LDADD = ../lib/libcli.a ../lib/libvmailmgr.a

vchattr_SOURCES = vchattr.cc vcommand.cc
vchattr_LDADD = ../lib/libcli.a ../lib/libvmailmgr.a

vchforwards_SOURCES = vchforwards.cc vcommand.cc
vchforwards_LDADD = ../lib/libcli.a ../lib/libvmailmgr.a

vdeliver_SOURCES = vdeliver.cc vcommand.cc
vdeliver_LDADD = ../lib/libcli.a ../lib/libvmailmgr.a

vdeluser_SOURCES = vdeluser.cc vcommand.cc
vdeluser_LDADD = ../lib/libcli.a ../lib/libvmailmgr.a

vpasswd_SOURCES = vpasswd.cc vcommand.cc
vpasswd_LDADD = ../lib/libcli.a ../lib/libvmailmgr.a

vpasswds_SOURCES = vpasswds.cc vcommand.cc
vpasswds_LDADD = ../lib/libcli.a ../lib/libvmailmgr.a

vupgrade_SOURCES = vupgrade.cc vcommand.cc
vupgrade_LDADD = ../lib/libcli.a ../lib/libvmailmgr.a

vsetup_SOURCES = vsetup.cc vcommand.cc
vsetup_LDADD = ../lib/libcli.a ../lib/libvmailmgr.a

vrehash_SOURCES = vrehash.cc vcommand.cc
vrehash_LDADD = ../lib/libcli.a ../lib/libvmailmgr.a
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(bin_PROGRAMS)


DEFS = @DEFS@ -I. -I$(srcdir) -I..
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
dumpvuser_OBJECTS =  dumpvuser.o vcommand.o
dumpvuser_DEPENDENCIES =  ../lib/libcli.a ../lib/libvmailmgr.a
dumpvuser_LDFLAGS = 
listvdomain_OBJECTS =  listvdomain.o vcommand.o
listvdomain_DEPENDENCIES =  ../lib/libcli.a ../lib/libvmailmgr.a
listvdomain_LDFLAGS = 
vadduser_OBJECTS =  vadduser.o vcommand.o
vadduser_DEPENDENCIES =  ../lib/libcli.a ../lib/libvmailmgr.a
vadduser_LDFLAGS = 
vaddusers_OBJECTS =  vaddusers.o vcommand.o
vaddusers_DEPENDENCIES =  ../lib/libcli.a ../lib/libvmailmgr.a
vaddusers_LDFLAGS = 
vchattr_OBJECTS =  vchattr.o vcommand.o
vchattr_DEPENDENCIES =  ../lib/libcli.a ../lib/libvmailmgr.a
vchattr_LDFLAGS = 
vchforwards_OBJECTS =  vchforwards.o vcommand.o
vchforwards_DEPENDENCIES =  ../lib/libcli.a ../lib/libvmailmgr.a
vchforwards_LDFLAGS = 
vdeliver_OBJECTS =  vdeliver.o vcommand.o
vdeliver_DEPENDENCIES =  ../lib/libcli.a ../lib/libvmailmgr.a
vdeliver_LDFLAGS = 
vdeluser_OBJECTS =  vdeluser.o vcommand.o
vdeluser_DEPENDENCIES =  ../lib/libcli.a ../lib/libvmailmgr.a
vdeluser_LDFLAGS = 
vpasswd_OBJECTS =  vpasswd.o vcommand.o
vpasswd_DEPENDENCIES =  ../lib/libcli.a ../lib/libvmailmgr.a
vpasswd_LDFLAGS = 
vpasswds_OBJECTS =  vpasswds.o vcommand.o
vpasswds_DEPENDENCIES =  ../lib/libcli.a ../lib/libvmailmgr.a
vpasswds_LDFLAGS = 
vrehash_OBJECTS =  vrehash.o vcommand.o
vrehash_DEPENDENCIES =  ../lib/libcli.a ../lib/libvmailmgr.a
vrehash_LDFLAGS = 
vsetup_OBJECTS =  vsetup.o vcommand.o
vsetup_DEPENDENCIES =  ../lib/libcli.a ../lib/libvmailmgr.a
vsetup_LDFLAGS = 
vupgrade_OBJECTS =  vupgrade.o vcommand.o
vupgrade_DEPENDENCIES =  ../lib/libcli.a ../lib/libvmailmgr.a
vupgrade_LDFLAGS = 
SCRIPTS =  $(bin_SCRIPTS)

CXXFLAGS = @CXXFLAGS@
CXXCOMPILE = $(CXX) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@
man1dir = $(mandir)/man1
MANS = $(man_MANS)

NROFF = nroff
HEADERS =  $(noinst_HEADERS)

DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
SOURCES = $(dumpvuser_SOURCES) $(listvdomain_SOURCES) $(vadduser_SOURCES) $(vaddusers_SOURCES) $(vchattr_SOURCES) $(vchforwards_SOURCES) $(vdeliver_SOURCES) $(vdeluser_SOURCES) $(vpasswd_SOURCES) $(vpasswds_SOURCES) $(vrehash_SOURCES) $(vsetup_SOURCES) $(vupgrade_SOURCES)
OBJECTS = $(dumpvuser_OBJECTS) $(listvdomain_OBJECTS) $(vadduser_OBJECTS) $(vaddusers_OBJECTS) $(vchattr_OBJECTS) $(vchforwards_OBJECTS) $(vdeliver_OBJECTS) $(vdeluser_OBJECTS) $(vpasswd_OBJECTS) $(vpasswds_OBJECTS) $(vrehash_OBJECTS) $(vsetup_OBJECTS) $(vupgrade_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .cc .o .s @SUFFIXES@
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps commands/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-binPROGRAMS:

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

distclean-binPROGRAMS:

maintainer-clean-binPROGRAMS:

install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "  $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
	     $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	list='$(bin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	done

.c.o:
	$(COMPILE) -c $<

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

dumpvuser: $(dumpvuser_OBJECTS) $(dumpvuser_DEPENDENCIES)
	@rm -f dumpvuser
	$(CXXLINK) $(dumpvuser_LDFLAGS) $(dumpvuser_OBJECTS) $(dumpvuser_LDADD) $(LIBS)

listvdomain: $(listvdomain_OBJECTS) $(listvdomain_DEPENDENCIES)
	@rm -f listvdomain
	$(CXXLINK) $(listvdomain_LDFLAGS) $(listvdomain_OBJECTS) $(listvdomain_LDADD) $(LIBS)

vadduser: $(vadduser_OBJECTS) $(vadduser_DEPENDENCIES)
	@rm -f vadduser
	$(CXXLINK) $(vadduser_LDFLAGS) $(vadduser_OBJECTS) $(vadduser_LDADD) $(LIBS)

vaddusers: $(vaddusers_OBJECTS) $(vaddusers_DEPENDENCIES)
	@rm -f vaddusers
	$(CXXLINK) $(vaddusers_LDFLAGS) $(vaddusers_OBJECTS) $(vaddusers_LDADD) $(LIBS)

vchattr: $(vchattr_OBJECTS) $(vchattr_DEPENDENCIES)
	@rm -f vchattr
	$(CXXLINK) $(vchattr_LDFLAGS) $(vchattr_OBJECTS) $(vchattr_LDADD) $(LIBS)

vchforwards: $(vchforwards_OBJECTS) $(vchforwards_DEPENDENCIES)
	@rm -f vchforwards
	$(CXXLINK) $(vchforwards_LDFLAGS) $(vchforwards_OBJECTS) $(vchforwards_LDADD) $(LIBS)

vdeliver: $(vdeliver_OBJECTS) $(vdeliver_DEPENDENCIES)
	@rm -f vdeliver
	$(CXXLINK) $(vdeliver_LDFLAGS) $(vdeliver_OBJECTS) $(vdeliver_LDADD) $(LIBS)

vdeluser: $(vdeluser_OBJECTS) $(vdeluser_DEPENDENCIES)
	@rm -f vdeluser
	$(CXXLINK) $(vdeluser_LDFLAGS) $(vdeluser_OBJECTS) $(vdeluser_LDADD) $(LIBS)

vpasswd: $(vpasswd_OBJECTS) $(vpasswd_DEPENDENCIES)
	@rm -f vpasswd
	$(CXXLINK) $(vpasswd_LDFLAGS) $(vpasswd_OBJECTS) $(vpasswd_LDADD) $(LIBS)

vpasswds: $(vpasswds_OBJECTS) $(vpasswds_DEPENDENCIES)
	@rm -f vpasswds
	$(CXXLINK) $(vpasswds_LDFLAGS) $(vpasswds_OBJECTS) $(vpasswds_LDADD) $(LIBS)

vrehash: $(vrehash_OBJECTS) $(vrehash_DEPENDENCIES)
	@rm -f vrehash
	$(CXXLINK) $(vrehash_LDFLAGS) $(vrehash_OBJECTS) $(vrehash_LDADD) $(LIBS)

vsetup: $(vsetup_OBJECTS) $(vsetup_DEPENDENCIES)
	@rm -f vsetup
	$(CXXLINK) $(vsetup_LDFLAGS) $(vsetup_OBJECTS) $(vsetup_LDADD) $(LIBS)

vupgrade: $(vupgrade_OBJECTS) $(vupgrade_DEPENDENCIES)
	@rm -f vupgrade
	$(CXXLINK) $(vupgrade_LDFLAGS) $(vupgrade_OBJECTS) $(vupgrade_LDADD) $(LIBS)

install-binSCRIPTS: $(bin_SCRIPTS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_SCRIPTS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo " $(INSTALL_SCRIPT) $$p $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`"; \
	    $(INSTALL_SCRIPT) $$p $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`; \
	  else if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_SCRIPT) $(srcdir)/$$p $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`"; \
	    $(INSTALL_SCRIPT) $(srcdir)/$$p $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`; \
	  else :; fi; fi; \
	done

uninstall-binSCRIPTS:
	@$(NORMAL_UNINSTALL)
	list='$(bin_SCRIPTS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`; \
	done
.cc.o:
	$(CXXCOMPILE) -c $<

install-man1:
	$(mkinstalldirs) $(DESTDIR)$(man1dir)
	@list='$(man1_MANS)'; \
	l2='$(man_MANS)'; for i in $$l2; do \
	  case "$$i" in \
	    *.1*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
	  else file=$$i; fi; \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " $(INSTALL_DATA) $$file $(DESTDIR)$(man1dir)/$$inst"; \
	  $(INSTALL_DATA) $$file $(DESTDIR)$(man1dir)/$$inst; \
	done

uninstall-man1:
	@list='$(man1_MANS)'; \
	l2='$(man_MANS)'; for i in $$l2; do \
	  case "$$i" in \
	    *.1*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " rm -f $(DESTDIR)$(man1dir)/$$inst"; \
	  rm -f $(DESTDIR)$(man1dir)/$$inst; \
	done
install-man: $(MANS)
	@$(NORMAL_INSTALL)
	$(MAKE) $(AM_MAKEFLAGS) install-man1
uninstall-man:
	@$(NORMAL_UNINSTALL)
	$(MAKE) $(AM_MAKEFLAGS) uninstall-man1

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = commands

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
	$(MAKE) $(AM_MAKEFLAGS) top_distdir="$(top_distdir)" distdir="$(distdir)" dist-hook
dumpvuser.o: dumpvuser.cc ../config.h ../lib/config/configrc.h \
	../lib/mystring/mystring.h ../lib/mystring/rep.h \
	../lib/mystring/iter.h ../lib/mystring/join.h \
	../lib/misc/strlist.h ../lib/vpwentry/vpwentry.h \
	../lib/cli++/cli++.h ../lib/fdbuf/fdbuf.h ../lib/fdbuf/fdibuf.h \
	../lib/fdbuf/fdobuf.h vcommand.h ../lib/vdomain/vdomain.h \
	../lib/misc/pwentry.h ../lib/vpwtable/vpwtable.h \
	../lib/misc/response.h
listvdomain.o: listvdomain.cc ../config.h ../lib/config/configrc.h \
	../lib/mystring/mystring.h ../lib/mystring/rep.h \
	../lib/mystring/iter.h ../lib/mystring/join.h \
	../lib/misc/strlist.h ../lib/vpwentry/vpwentry.h \
	../lib/cli++/cli++.h ../lib/fdbuf/fdbuf.h ../lib/fdbuf/fdibuf.h \
	../lib/fdbuf/fdobuf.h vcommand.h ../lib/vdomain/vdomain.h \
	../lib/misc/pwentry.h ../lib/vpwtable/vpwtable.h \
	../lib/misc/response.h
vadduser.o: vadduser.cc ../config.h ../lib/fdbuf/fdbuf.h \
	../lib/fdbuf/fdibuf.h ../lib/fdbuf/fdobuf.h \
	../lib/misc/passwdfn.h ../lib/mystring/mystring.h \
	../lib/mystring/rep.h ../lib/mystring/iter.h \
	../lib/mystring/join.h ../lib/config/configrc.h \
	../lib/misc/strlist.h ../lib/misc/pwcrypt.h vcommand.h \
	../lib/vdomain/vdomain.h ../lib/misc/pwentry.h \
	../lib/vpwtable/vpwtable.h ../lib/vpwentry/vpwentry.h \
	../lib/misc/response.h ../lib/cli++/cli++.h
vaddusers.o: vaddusers.cc ../config.h ../lib/fdbuf/fdbuf.h \
	../lib/fdbuf/fdibuf.h ../lib/fdbuf/fdobuf.h \
	../lib/mystring/mystring.h ../lib/mystring/rep.h \
	../lib/mystring/iter.h ../lib/mystring/join.h \
	../lib/misc/pwcrypt.h ../lib/config/configrc.h \
	../lib/misc/strlist.h ../lib/cli++/cli++.h vcommand.h \
	../lib/vdomain/vdomain.h ../lib/misc/pwentry.h \
	../lib/vpwtable/vpwtable.h ../lib/vpwentry/vpwentry.h \
	../lib/misc/response.h
vchattr.o: vchattr.cc ../config.h ../lib/fdbuf/fdbuf.h \
	../lib/fdbuf/fdibuf.h ../lib/fdbuf/fdobuf.h \
	../lib/mystring/mystring.h ../lib/mystring/rep.h \
	../lib/mystring/iter.h ../lib/mystring/join.h \
	../lib/misc/passwdfn.h ../lib/config/configrc.h \
	../lib/misc/strlist.h ../lib/cli++/cli++.h vcommand.h \
	../lib/vdomain/vdomain.h ../lib/misc/pwentry.h \
	../lib/vpwtable/vpwtable.h ../lib/vpwentry/vpwentry.h \
	../lib/misc/response.h
vcheckquota.o: vcheckquota.cc ../config.h ../lib/config/configrc.h \
	../lib/mystring/mystring.h ../lib/mystring/rep.h \
	../lib/mystring/iter.h ../lib/mystring/join.h \
	../lib/misc/strlist.h ../lib/cli++/cli++.h ../lib/fdbuf/fdbuf.h \
	../lib/fdbuf/fdibuf.h ../lib/fdbuf/fdobuf.h vcommand.h \
	../lib/vdomain/vdomain.h ../lib/misc/pwentry.h \
	../lib/vpwtable/vpwtable.h ../lib/vpwentry/vpwentry.h \
	../lib/misc/response.h ../lib/ac/dirent.h ../lib/misc/itoa.h \
	../lib/misc/stat_fns.h ../lib/misc/md5.h ../lib/misc/strtou.h \
	../lib/misc/utoa.h
vchforwards.o: vchforwards.cc ../config.h ../lib/fdbuf/fdbuf.h \
	../lib/fdbuf/fdibuf.h ../lib/fdbuf/fdobuf.h \
	../lib/mystring/mystring.h ../lib/mystring/rep.h \
	../lib/mystring/iter.h ../lib/mystring/join.h \
	../lib/config/configrc.h ../lib/misc/strlist.h \
	../lib/cli++/cli++.h vcommand.h ../lib/vdomain/vdomain.h \
	../lib/misc/pwentry.h ../lib/vpwtable/vpwtable.h \
	../lib/vpwentry/vpwentry.h ../lib/misc/response.h
vcommand.o: vcommand.cc ../config.h vcommand.h ../lib/vdomain/vdomain.h \
	../lib/mystring/mystring.h ../lib/mystring/rep.h \
	../lib/mystring/iter.h ../lib/mystring/join.h \
	../lib/config/configrc.h ../lib/misc/strlist.h \
	../lib/misc/pwentry.h ../lib/vpwtable/vpwtable.h \
	../lib/vpwentry/vpwentry.h ../lib/misc/response.h \
	../lib/fdbuf/fdbuf.h ../lib/fdbuf/fdibuf.h \
	../lib/fdbuf/fdobuf.h
vdeliver.o: vdeliver.cc ../config.h ../lib/ac/time.h ../lib/ac/wait.h \
	../lib/fdbuf/fdbuf.h ../lib/fdbuf/fdibuf.h \
	../lib/fdbuf/fdobuf.h ../lib/cli++/cli++.h vcommand.h \
	../lib/vdomain/vdomain.h ../lib/mystring/mystring.h \
	../lib/mystring/rep.h ../lib/mystring/iter.h \
	../lib/mystring/join.h ../lib/config/configrc.h \
	../lib/misc/strlist.h ../lib/misc/pwentry.h \
	../lib/vpwtable/vpwtable.h ../lib/vpwentry/vpwentry.h \
	../lib/misc/response.h ../lib/misc/itoa.h \
	../lib/misc/stat_fns.h ../lib/misc/exec.h
vdeluser.o: vdeluser.cc ../config.h ../lib/fdbuf/fdbuf.h \
	../lib/fdbuf/fdibuf.h ../lib/fdbuf/fdobuf.h \
	../lib/config/configrc.h ../lib/mystring/mystring.h \
	../lib/mystring/rep.h ../lib/mystring/iter.h \
	../lib/mystring/join.h ../lib/misc/strlist.h \
	../lib/cli++/cli++.h vcommand.h ../lib/vdomain/vdomain.h \
	../lib/misc/pwentry.h ../lib/vpwtable/vpwtable.h \
	../lib/vpwentry/vpwentry.h ../lib/misc/response.h
vpasswd.o: vpasswd.cc ../config.h ../lib/fdbuf/fdbuf.h \
	../lib/fdbuf/fdibuf.h ../lib/fdbuf/fdobuf.h \
	../lib/mystring/mystring.h ../lib/mystring/rep.h \
	../lib/mystring/iter.h ../lib/mystring/join.h \
	../lib/misc/passwdfn.h ../lib/config/configrc.h \
	../lib/misc/strlist.h ../lib/cli++/cli++.h vcommand.h \
	../lib/vdomain/vdomain.h ../lib/misc/pwentry.h \
	../lib/vpwtable/vpwtable.h ../lib/vpwentry/vpwentry.h \
	../lib/misc/response.h
vpasswds.o: vpasswds.cc ../config.h ../lib/fdbuf/fdbuf.h \
	../lib/fdbuf/fdibuf.h ../lib/fdbuf/fdobuf.h \
	../lib/mystring/mystring.h ../lib/mystring/rep.h \
	../lib/mystring/iter.h ../lib/mystring/join.h \
	../lib/misc/response.h ../lib/config/configrc.h \
	../lib/misc/strlist.h ../lib/cli++/cli++.h vcommand.h \
	../lib/vdomain/vdomain.h ../lib/misc/pwentry.h \
	../lib/vpwtable/vpwtable.h ../lib/vpwentry/vpwentry.h
vpopbull.o: vpopbull.cc ../config.h ../lib/ac/dirent.h ../lib/ac/time.h \
	../lib/misc/itoa.h ../lib/mystring/mystring.h \
	../lib/mystring/rep.h ../lib/mystring/iter.h \
	../lib/mystring/join.h ../lib/config/configrc.h \
	../lib/misc/strlist.h ../lib/cli++/cli++.h ../lib/fdbuf/fdbuf.h \
	../lib/fdbuf/fdibuf.h ../lib/fdbuf/fdobuf.h vcommand.h \
	../lib/vdomain/vdomain.h ../lib/misc/pwentry.h \
	../lib/vpwtable/vpwtable.h ../lib/vpwentry/vpwentry.h \
	../lib/misc/response.h
vrehash.o: vrehash.cc ../config.h ../lib/misc/autodelete.h \
	../lib/fdbuf/fdbuf.h ../lib/fdbuf/fdibuf.h \
	../lib/fdbuf/fdobuf.h ../lib/mystring/mystring.h \
	../lib/mystring/rep.h ../lib/mystring/iter.h \
	../lib/mystring/join.h ../lib/misc/maildir.h \
	../lib/config/configrc.h ../lib/misc/strlist.h vcommand.h \
	../lib/vdomain/vdomain.h ../lib/misc/pwentry.h \
	../lib/vpwtable/vpwtable.h ../lib/vpwentry/vpwentry.h \
	../lib/misc/response.h ../lib/misc/stat_fns.h \
	../lib/cli++/cli++.h
vsetup.o: vsetup.cc ../config.h ../lib/fdbuf/fdbuf.h \
	../lib/fdbuf/fdibuf.h ../lib/fdbuf/fdobuf.h \
	../lib/config/configrc.h ../lib/mystring/mystring.h \
	../lib/mystring/rep.h ../lib/mystring/iter.h \
	../lib/mystring/join.h ../lib/misc/strlist.h \
	../lib/misc/stat_fns.h ../lib/cli++/cli++.h ../lib/misc/exec.h \
	../lib/vpwentry/vpwentry.h vcommand.h ../lib/vdomain/vdomain.h \
	../lib/misc/pwentry.h ../lib/vpwtable/vpwtable.h \
	../lib/misc/response.h
vupgrade.o: vupgrade.cc ../config.h ../lib/cli++/cli++.h \
	../lib/config/configrc.h ../lib/mystring/mystring.h \
	../lib/mystring/rep.h ../lib/mystring/iter.h \
	../lib/mystring/join.h ../lib/misc/strlist.h \
	../lib/fdbuf/fdbuf.h ../lib/fdbuf/fdibuf.h \
	../lib/fdbuf/fdobuf.h ../lib/vpwentry/vpwentry.h vcommand.h \
	../lib/vdomain/vdomain.h ../lib/misc/pwentry.h \
	../lib/vpwtable/vpwtable.h ../lib/misc/response.h \
	../lib/misc/maildir.h

info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am: install-binPROGRAMS install-binSCRIPTS
install-exec: install-exec-am

install-data-am: install-man
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-binPROGRAMS uninstall-binSCRIPTS uninstall-man
uninstall: uninstall-am
all-am: Makefile $(PROGRAMS) $(SCRIPTS) $(MANS) $(HEADERS)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(bindir) $(DESTDIR)$(bindir) \
		$(DESTDIR)$(mandir)/man1


mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-binPROGRAMS mostlyclean-compile \
		mostlyclean-tags mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-binPROGRAMS clean-compile clean-tags clean-generic \
		mostlyclean-am

clean: clean-am

distclean-am:  distclean-binPROGRAMS distclean-compile distclean-tags \
		distclean-generic clean-am

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-binPROGRAMS \
		maintainer-clean-compile maintainer-clean-tags \
		maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-binPROGRAMS distclean-binPROGRAMS clean-binPROGRAMS \
maintainer-clean-binPROGRAMS uninstall-binPROGRAMS install-binPROGRAMS \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile uninstall-binSCRIPTS install-binSCRIPTS \
install-man1 uninstall-man1 install-man uninstall-man tags \
mostlyclean-tags distclean-tags clean-tags maintainer-clean-tags \
distdir info-am info dvi-am dvi check check-am installcheck-am \
installcheck install-exec-am install-exec install-data-am install-data \
install-am install uninstall-am uninstall all-redirect all-am all \
installdirs mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


all: docs

docs: $(noinst_HTMLS) $(man_MANS)

dist-hook:
	touch $(distdir)/*.html $(distdir)/*.[123456789]

%.pod: %.cc ../configure.in ../lib/cli++/cli++topod.pl
	perl ../lib/cli++/cli++topod.pl $< >$@
%.1: %.pod ../configure.in; $(POD2MAN) --section=1 $< >$@
%.html: %.pod; $(POD2HTML) $< >$@

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
